aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authoralexv-smirnov <alex@ydb.tech>2023-08-25 14:05:56 +0300
committeralexv-smirnov <alex@ydb.tech>2023-08-25 15:15:32 +0300
commit23d486d4567e20edacdaae8e4c9489be9bd3f15b (patch)
tree9df2022978a555534d56f1a3680942906f8adc8b
parentb4b739b993554fa62fe69d282161e295a648095b (diff)
downloadydb-23d486d4567e20edacdaae8e4c9489be9bd3f15b.tar.gz
Add YDB server recipe to kqp_query_session test in github
-rwxr-xr-xydb/tests/functional/kqp/kqp_query_session/run_testpack32
1 files changed, 32 insertions, 0 deletions
diff --git a/ydb/tests/functional/kqp/kqp_query_session/run_testpack b/ydb/tests/functional/kqp/kqp_query_session/run_testpack
new file mode 100755
index 0000000000..f05bbdd37b
--- /dev/null
+++ b/ydb/tests/functional/kqp/kqp_query_session/run_testpack
@@ -0,0 +1,32 @@
+#!/usr/bin/env bash
+set -e
+CTX_DIR=$(mktemp -d)
+echo Working dir: $CTX_DIR
+cd "$CTX_DIR"
+
+export YDB_USE_IN_MEMORY_PDISKS=true
+export YDB_ERASURE=block_4-2
+
+# Start server
+$source_root/ydb/public/tools/ydb_recipe/start.sh $CTX_DIR
+
+# Run test
+set +e
+ARCADIA_BUILD_ROOT="$build_root" \
+YDB_ENDPOINT=$(cat $CTX_DIR/ydb_endpoint.txt) YDB_DATABASE=$(cat $CTX_DIR/ydb_database.txt) \
+$build_root/ydb/tests/functional/kqp/kqp_query_session/ydb-tests-functional-kqp-kqp_query_session $*
+code=$?
+if [ $code -gt 0 ];then
+ echo
+ echo "Test execution failed"
+ echo
+fi
+
+# Stop server (removes working dir!)
+$source_root/ydb/public/tools/ydb_recipe/stop.sh $CTX_DIR
+
+# Return result code from test run
+if [ $code -gt 0 ];then
+ exit $code
+fi
+